API referenceEnvironments

Get Template

GET/api/v1/environment-templates/{template_id}

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

template_id*Template Id

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/environment-templates/string"
{  "config": {    "delete_after_seconds": 60,    "recipe": {      "property1": null,      "property2": null    },    "stop_after_seconds": 1800  },  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "description": "string",  "enabled": true,  "id": "string",  "labels": {    "property1": "string",    "property2": "string"  },  "name": "string",  "organization_id": "string",  "provider_id": "string",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}